%define snapshot 0
%define pre rc

%ifarch %{arm} aarch64
%define build_docs 0
%else
%define build_docs 1
%endif

%define qtmajor 5
%define qtminor 15
%define qtsubminor 7

%define rel 1

%define major_private 1
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqtsensors %mklibname qt5sensors %qtmajor
%define libqtsensors_d %mklibname qt5sensors -d
%define libqtsensors_p_d %mklibname qt5sensors-private -d

%if %snapshot
%define qttarballdir qtsensors-everywhere-src-%{qtversion}-%pre
%else
%define qttarballdir qtsensors-everywhere-opensource-src-%{qtversion}
%endif

Name: qtsensors5
Version: %{qtversion}
Release: %mkrel %{rel}
Summary: Qt5 Sensors component
Group: Development/KDE and Qt
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     https://www.qt.io/
Source0: https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
BuildRequires: qtbase5-devel = %version
BuildRequires: pkgconfig(Qt5Qml) = %version
BuildRequires: pkgconfig(Qt5Quick) >= %version

# ease upgrade (because of files moved)
Conflicts: %{_lib}qt5sensors5 < 5.13.1-2

#Branch Patchs

#Trunk Patchs

#Patch from Mageia

%description
The Qt Sensors API provides access to sensor hardware via QML and C++
interfaces.  The Qt Sensors API also provides a motion gesture recognition
API for devices.

%files
%{_qt5_qml}/QtSensors/
%{_qt5_plugindir}/sensorgestures/*.so
%{_qt5_plugindir}/sensors/*.so

#------------------------------------------------------------------------------

%if %{build_docs}
%package doc
Summary: QtSensors%{qtmajor} APIs and tools docs
Group:   Documentation
BuildArch: noarch
BuildRequires: qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires: qttools5-assistant
Recommends: qttools5-assistant

%description doc
Documentation for APIs and tools in QtSensors5 package for use with
Qt Assistant.

%files doc
%{_qt5_docdir}/qtsensors.qch
%{_qt5_docdir}/qtsensors/
%endif

#------------------------------------------------------------------------------

%package -n %{libqtsensors}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Requires: %{name} >= %{version}-%{release}

%description -n %{libqtsensors}
Qt%{qtmajor} Component Library.

The Qt Sensors API provides access to sensor hardware via QML and C++
interfaces.  The Qt Sensors API also provides a motion gesture recognition
API for devices.

%files -n %{libqtsensors}
%{_qt5_libdir}/libQt5Sensors.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtsensors_d}
Summary:  Devel files needed to build apps based on QtSensors
Group:    Development/KDE and Qt
Requires: %{libqtsensors} = %version
Provides: libqtsensors5-devel = %version
Provides: libqt5sensors-devel = %version
Provides: qtsensors5-devel = %version
Provides: qt5sensors-devel = %version

Provides: libqtsensors5-private-devel = %version
Provides: libqt5sensors-private-devel = %version
Provides: qtsensors5-private-devel = %version
Provides: qt5sensors-private-devel = %version

%description -n %{libqtsensors_d}
Devel files needed to build apps based on QtSensors.

%files -n %{libqtsensors_d}
%{_qt5_libdir}/libQt5Sensors.prl
%{_qt5_libdir}/libQt5Sensors.so
%{_qt5_libdir}/pkgconfig/Qt5Sensors.pc
%{_qt5_libdir}/cmake/Qt5Sensors/
%{_qt5_examplesdir}/sensors
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_sensors.pri
%{_qt5_includedir}/QtSensors/
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_sensors_private.pri

#------------------------------------------------------------------------------

%prep
%setup -q -n qtsensors-everywhere-src-%{qtversion}

%build
%qmake_qt5

%make_build

%if %{build_docs}
%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif

# Fix all buildroot paths
find %{buildroot}/%{_qt5_libdir} -type f -name '*prl' -exec perl -pi -e "s, -L%{_builddir}/\S+,,g" {} \;
find %{buildroot}/%{_qt5_libdir} -type f -name '*prl' -exec sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" {} \;
find %{buildroot}/%{_qt5_libdir} -type f -name '*la' -print -exec perl -pi -e "s, -L%{_builddir}/?\S+,,g" {} \;

# Don't reference builddir neither /usr(/X11R6)?/ in .pc files.
perl -pi -e '\
s@-L/usr/X11R6/%{_lib} @@g;\
s@-I/usr/X11R6/include @@g;\
s@-L/%{_builddir}\S+@@g'\
    `find . -name \*.pc`

# .la and .a files, die, die, die.
find %{buildroot} -name '*.la' -delete
find %{buildroot} -name '*.a' -delete


%changelog
* Sat Dec 03 2022 neoclust <neoclust> 5.15.7-1.mga9
+ Revision: 1915333
- New version 5.15.7

* Thu Sep 08 2022 neoclust <neoclust> 5.15.6-1.mga9
+ Revision: 1885962
- New version 5.15.6

* Sat Aug 27 2022 neoclust <neoclust> 5.15.5-1.mga9
+ Revision: 1881044
- New version 5.15.5

* Mon Apr 04 2022 umeabot <umeabot> 5.15.2-2.mga9
+ Revision: 1843203
- Mageia 9 Mass Rebuild

* Fri Dec 04 2020 daviddavid <daviddavid> 5.15.2-1.mga8
+ Revision: 1652467
- New version 5.15.2

* Sat Sep 12 2020 daviddavid <daviddavid> 5.15.1-1.mga8
+ Revision: 1624919
- New version 5.15.1

* Wed Jun 03 2020 daviddavid <daviddavid> 5.15.0-1.mga8
+ Revision: 1589832
- New version 5.15.0
+ danf <danf>
- Switch URLs from http: to https:

* Thu Feb 20 2020 umeabot <umeabot> 5.14.1-2.mga8
+ Revision: 1545483
- Mageia 8 Mass Rebuild

* Tue Jan 28 2020 daviddavid <daviddavid> 5.14.1-1.mga8
+ Revision: 1484406
- New version 5.14.1

* Tue Nov 19 2019 daviddavid <daviddavid> 5.13.1-2.mga8
+ Revision: 1461721
- move the plugins files from the lib subpkg to the main pkg

* Sun Sep 08 2019 neoclust <neoclust> 5.13.1-1.mga8
+ Revision: 1438499
- New version 5.13.1

* Sun Jul 14 2019 neoclust <neoclust> 5.13.0-2.mga8
+ Revision: 1421113
- Rebuild for new mkspecs macros

* Thu Jul 04 2019 daviddavid <daviddavid> 5.13.0-1.mga8
+ Revision: 1418148
- New version 5.13.0

* Mon Apr 01 2019 umeabot <umeabot> 5.12.2-2.mga7
+ Revision: 1384524
- Qt5 Rebuild

* Mon Mar 18 2019 neoclust <neoclust> 5.12.2-1.mga7
+ Revision: 1378545
- New version 5.12.2

* Fri Feb 01 2019 neoclust <neoclust> 5.12.1-1.mga7
+ Revision: 1362290
- New version 5.12.1

* Sun Dec 09 2018 neoclust <neoclust> 5.12.0-1.mga7
+ Revision: 1339145
- New version 5.12.0

* Tue Oct 09 2018 neoclust <neoclust> 5.11.2-1.mga7
+ Revision: 1319034
- New version 5.11.2

* Sun Sep 23 2018 umeabot <umeabot> 5.11.1-2.mga7
+ Revision: 1300724
- Mageia 7 Mass Rebuild

* Sun Jul 29 2018 neoclust <neoclust> 5.11.1-1.mga7
+ Revision: 1245821
- New version 5.11.1

* Fri May 25 2018 neoclust <neoclust> 5.11.0-1.mga7
+ Revision: 1232120
- New version 5.11.0

* Mon Apr 09 2018 neoclust <neoclust> 5.10.1-1.mga7
+ Revision: 1216514
- New version 5.10.1

* Wed Feb 28 2018 neoclust <neoclust> 5.9.4-1.mga7
+ Revision: 1205684
- New version 5.9.4

* Mon Dec 18 2017 neoclust <neoclust> 5.9.3-1.mga7
+ Revision: 1183192
- New version 5.9.3

* Sun Jul 16 2017 neoclust <neoclust> 5.9.1-1.mga7
+ Revision: 1123580
- New version 5.9.1

* Thu Nov 03 2016 neoclust <neoclust> 5.6.2-1.mga6
+ Revision: 1064865
- New version 5.6.2

* Fri Sep 02 2016 daviddavid <daviddavid> 5.6.1-3.mga6
+ Revision: 1049790
- build missing docs part (mga#9812)
- add qtsensors5-doc subpackage

* Sun Jul 03 2016 neoclust <neoclust> 5.6.1-2.mga6
+ Revision: 1038380
- Update to version 5.6.1-1
- New version

* Wed May 11 2016 akien <akien> 5.6.0-2.mga6
+ Revision: 1013624
- Fix libname s/qtsensors5/qt5sensors5

* Thu Mar 17 2016 neoclust <neoclust> 5.6.0-1.mga6
+ Revision: 992497
+ rebuild (emptylog)

* Wed Mar 09 2016 neoclust <neoclust> 5.6.0-0.rc.2.mga6
+ Revision: 987964
- Rebuild Qt5 Stack to fix plasma crashes

* Sun Feb 28 2016 neoclust <neoclust> 5.6.0-0.rc.1.mga6
+ Revision: 980616
+ rebuild (emptylog)

* Sun Dec 27 2015 neoclust <neoclust> 5.6.0-0.beta.4.mga6
+ Revision: 915933
- Rebuild against new cmake to have cmake() provides

* Sun Dec 27 2015 neoclust <neoclust> 5.6.0-0.beta.3.mga6
+ Revision: 915771
- Rebuild against new cmake to have cmake() provides

* Mon Dec 21 2015 neoclust <neoclust> 5.6.0-0.beta.2.mga6
+ Revision: 912756
- Remove private devel packages

* Sat Dec 19 2015 mitya <mitya> 5.6.0-0.beta.1.mga6
+ Revision: 912327
- imported package qtsensors5

